=== i18n/CMakeLists.txt ===
SET(TRANSLATION_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}/po/")
FILE(GLOB _dirs "${TRANSLATION_SRC_DIR}/*")
FOREACH(_dir ${_dirs})
	ADD_SUBDIRECTORY("${_dir}")
ENDFOREACH()
