=== doc/rkward/CMakeLists.txt ===
kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rkward)
kdoctools_create_manpage (man-rkward.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
