=== debian/changelog ===
rkward (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the cmake build flags:
    - pass -DNO_QT_WEBENGINE=1 to keep using KDEWebKit for now
    - drop -DNO_R_XML=1, no more needed now
    - drop -DBUILD_TIMESTAMP, no more used since 0.7.1; because of this, stop
      including /usr/share/dpkg/pkg-info.mk
  * Drop removal of x-test translations, as they are no more shipped.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update install files.
  * Fix day-of-week for changelog entries 0.6.1-1, 0.6.0-3, 0.5.6-1, 0.5.5-2,
    0.5.0d-3, 0.5.0d-2, 0.5.0c-1, 0.4.8a-2, 0.4.2-1.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Oct 2020 11:25:10 +0200
