=== debian/rules ===
#!/usr/bin/make -f

# We need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RAPI = $(shell dpkg-query -W --showformat='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

# easier typing
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure '--buildsystem=kf5' -- \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DNO_QT_WEBENGINE=1 \
		-DCMAKE_SKIP_RPATH=YES

override_dh_auto_install:
	dh_auto_install

	# remove unneeded R package files
	rm -vf $(DESTDIR)/usr/lib/R/site-library/R.css $(DESTDIR)/usr/lib/R/site-library/rkward/COPYING

override_dh_shlibdeps:
	dh_shlibdeps
	echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ;
	echo "rapivers=$(RAPI)" >> $(CURDIR)/debian/rkward.substvars ;
