=== debian/watch ===
version=3
https://download.kde.org/stable/rkward/([\d.]+)/src/rkward-([\d.]+)\.tar\.gz
