## rkward 0.7.4

=== debian/changelog ===
rkward (0.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update standards version to 4.6.1, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - add qtdeclarative5-dev
    - drop qtscript5-dev

 -- Pino Toscano <pino@debian.org>  Tue, 31 May 2022 08:44:51 +0200

rkward (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - builds with newer versions of R (Closes: #1008322)
  * Update watch file format version to 4.
  * Update standards version to 4.6.0, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10.0
    - bump the Qt5 package to 5.9.0
    - bump the KF5 packages to 5.44.0
    - add libkf5archive-dev
  * debian/upstream/metadata: improve Repository* keys.
  * Do not try to remove R.css, and COPYING from the installed files, as they
    are no nore shipped.
  * Rename docs to rkward.docs to make it clear to which package it refers.
  * Move handling of the r-base-core & r-api substvars directly when calling
    dh_gencontrol, rather than adding them to rkward.substvars; simplify rules
    a bit, and runs the dpkg commands only when & where needed.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Apr 2022 20:04:10 +0200
