=== debian/control ===
--- 
+++ 
@@ -4,28 +4,29 @@
            Dylan Aïssi <daissi@debian.org>
 Section: math
 Priority: optional
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.10.0~),
                extra-cmake-modules,
                gettext,
                pkg-kde-tools,
                debhelper-compat (= 13),
-               libkf5config-dev (>= 5.4.0~),
-               libkf5coreaddons-dev (>= 5.4.0~),
-               libkf5crash-dev (>= 5.4.0~),
-               libkf5doctools-dev (>= 5.4.0~),
-               libkf5i18n-dev (>= 5.4.0~),
-               libkf5notifications-dev (>= 5.4.0~),
-               libkf5parts-dev (>= 5.4.0~),
-               libkf5texteditor-dev (>= 5.4.0~),
-               libkf5xmlgui-dev (>= 5.4.0~),
-               libkf5webkit-dev (>= 5.4.0~),
-               libkf5widgetsaddons-dev (>= 5.4.0~),
-               libkf5windowsystem-dev (>= 5.4.0~),
-               libqt5webkit5-dev (>= 5.2.0~),
-               qtbase5-dev (>= 5.2.0~),
-               qtscript5-dev (>= 5.2.0~),
+               libkf5archive-dev (>= 5.44.0~),
+               libkf5config-dev (>= 5.44.0~),
+               libkf5coreaddons-dev (>= 5.44.0~),
+               libkf5crash-dev (>= 5.44.0~),
+               libkf5doctools-dev (>= 5.44.0~),
+               libkf5i18n-dev (>= 5.44.0~),
+               libkf5notifications-dev (>= 5.44.0~),
+               libkf5parts-dev (>= 5.44.0~),
+               libkf5texteditor-dev (>= 5.44.0~),
+               libkf5xmlgui-dev (>= 5.44.0~),
+               libkf5webkit-dev (>= 5.44.0~),
+               libkf5widgetsaddons-dev (>= 5.44.0~),
+               libkf5windowsystem-dev (>= 5.44.0~),
+               libqt5webkit5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rkward
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rkward.git
 Homepage: https://rkward.kde.org
