=== rkward/misc/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
    xmlhelper.cpp
    multistringselector.cpp
    rkcommonfunctions.cpp
+   rkcompatibility.cpp
    rkprogresscontrol.cpp
    rksaveobjectchooser.cpp
    rkdummypart.cpp
@@ -27,7 +28,10 @@
    rkaccordiontable.cpp
    rkxmlguipreviewarea.cpp
    rkdialogbuttonbox.cpp
+   rkoutputdirectory.cpp
+   rkstyle.cpp
+   rkparsedversion.cpp
    )
 
 ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})
-TARGET_LINK_LIBRARIES(misc Qt5::Widgets KF5::WidgetsAddons KF5::KIOWidgets Qt5::Xml KF5::ConfigCore KF5::Parts KF5::WindowSystem KF5::TextEditor)
+TARGET_LINK_LIBRARIES(misc Qt5::Widgets KF5::WidgetsAddons KF5::KIOWidgets Qt5::Xml KF5::ConfigCore KF5::Parts KF5::WindowSystem KF5::TextEditor KF5::Archive)
