=== rkward/settings/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
    rksettingsmoduleconsole.cpp
    rksettingsmodulecommandeditor.cpp
    rksettingsmoduledebug.cpp
+   rkrecenturls.cpp
    )
 
 IF (WIN32 OR USE_BINARY_PACKAGES)
