=== rkward/syntax/CMakeLists.txt ===
IF(${KF5_VERSION} VERSION_GREATER "5.27.9")
    SET(SYNTAX_DEST ${DATA_INSTALL_DIR}/org.kde.syntax-highlighting/syntax/)
ELSE(${KF5_VERSION} VERSION_GREATER "5.27.9")
    SET(SYNTAX_DEST ${DATA_INSTALL_DIR}/katepart5/syntax/)
ENDIF(${KF5_VERSION} VERSION_GREATER "5.27.9")

INSTALL(FILES rkward.xml DESTINATION ${SYNTAX_DEST})
