=== rkward/windows/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	rkdebugmessagewindow.cpp
 	katepluginintegration.cpp
 	rkcodecompletion.cpp
+	rktexthints.cpp
 )
 
 ADD_LIBRARY(windows STATIC ${windows_STAT_SRCS})
