=== debian/changelog ===
rkward (0.7.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with QtWebEngine. (Closes: #1093381)

 -- Bastian Germann <bage@debian.org>  Sat, 18 Jan 2025 23:47:39 +0100

rkward (0.7.5-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit b53d754f18bef786e92f266f576afdbe5fd7d00b, and
    commit ded0472b90c398adc05a7fed1b6446417789ba58 to build with newer versions
    of R; patches upstream_Fix-not-a-string-literal-compile-error.patch, and
    upstream_Fix-compilation.patch. (Closes: #1071360)
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 May 2024 07:28:08 +0200

rkward (0.7.5-2) unstable; urgency=medium

  * Team upload.
  * Depend also on the R graphics engine version: (Closes: #1058801)
    - query the r-graphics-engine-N provide from r-base-core
    - add it as dependency via substvars
  * Update standards version to 4.6.2, no changes needed.
  * Drop the breaks/replaces for versions older than what is in Debian Bullseye
    (i.e. current oldstable).

 -- Pino Toscano <pino@debian.org>  Sat, 16 Dec 2023 20:23:16 +0100

rkward (0.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * This new version has tests that require a display, so:
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2022 13:06:04 +0200
