=== debian/control ===
--- 
+++ 
@@ -19,14 +19,15 @@
                libkf5parts-dev (>= 5.44.0~),
                libkf5texteditor-dev (>= 5.44.0~),
                libkf5xmlgui-dev (>= 5.44.0~),
-               libkf5webkit-dev (>= 5.44.0~),
                libkf5widgetsaddons-dev (>= 5.44.0~),
                libkf5windowsystem-dev (>= 5.44.0~),
-               libqt5webkit5-dev (>= 5.9.0~),
+               qtwebengine5-dev (>= 5.9.0~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
-               r-base-dev
-Standards-Version: 4.6.1
+               r-base-dev,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rkward
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rkward.git
 Homepage: https://rkward.kde.org
@@ -38,10 +39,9 @@
          ${misc:Depends},
          ${rvers},
          ${rapivers},
+         ${rgraphicsenginevers},
          ${shlibs:Depends}
 Recommends: r-base-html
-Breaks: rkward-data (<< 0.7.1b-2~)
-Replaces: rkward-data (<< 0.7.1b-2~)
 Description: KDE frontend to the R statistics language
  RKWard aims to become an easy to use, transparent frontend to R,
  a powerful system for statistical computation and graphics.
